{% extends 'layout.html' %}

{% block title %}Juguetes{% endblock %}

{% block content %}
    <div class="mt-3">    
            {% if productos %}
                {% for producto in productos|slice:":3" %}
                    {% if forloop.first %}
                    <div class="row">
                    {% endif %}
                        <div class="col-4">
                            <div class="card">
                                <img class="card-img-top" height="180" src="{{ producto.imagen.url }}" alt="{{ producto.imagen }}">
                                <div class="card-body">
                                    <h5 class="card-title">{{ producto.nombre }}</h5>
                                    <p class="card-text">Ver.</p>
                                    <hr/>
                                    <h6 class="card-subtitle">Nombre: {{ producto.nombre }}</h6>
                                    <p class="card-text">Categoria: {{ producto.categoria }}</p>
                                </div>
                                <div class="card-footer">
                                    {% if request.user.is_staff %}
                                        <a href ="{% url 'eliminar_producto' producto.id %}" class="btn btn-danger">Eliminar producto</a>
                                        <a href ="{% url 'editar_producto' producto.id %}" class="btn btn-warning">Editar producto</a>
                                    {% else %}
                                        <a href ="{% url 'carro:agregar' producto.id %}" class="btn btn-lg btn-success ">Agregar a carrito</a>
                                    {% endif %} 
                                </div>
                            </div>
                        </div>
                    {% if forloop.counter|divisibleby:3 %}
                    </div>
                    <div class="row">
                    {% endif %}
                    {% if forloop.last %}
                    </div>
                    {% endif %}                
                {% endfor %} 
                
                
                <div class="my-2 px-3 pt-2 rounded backg">
                    <h3 class="">Más productos</h3>
                    <ul class="list-group list-group-flush rounded">
                        {% for producto in productos|slice:":10" %}
                            {% if forloop.counter > 3 %}
                                <li class="list-group-item backg d-flex justify-content-between align-items-center">
                                    <div>
                                        <h5>{{producto.nombre}}</h5>
                                    </div>
                                    <div>
                                    <strong>${{producto.precio}}</strong>
                                    {% if request.user.is_staff %}
                                    <a href ="{% url 'eliminar_producto' producto.id %}" class="btn btn-danger">Eliminar producto</a>
                                    <a href ="{% url 'editar_producto' producto.id %}" class="btn btn-warning">Editar producto</a>
                                    {% else %}
                                        <a href="{% url 'carro:agregar' producto.id %}" class="btn btn-success px-1">Agregar al carrito</a>
                                    {% endif %}
                                    </div>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                </div>
            {% endif %}
            
            {% include "paginacion.html" %}     
            
{% endblock %}